> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saspay.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Détail d'un dossier

> Statut, identité, entreprise et documents d'un dossier KYC précis



## OpenAPI

````yaml api-reference/openapi.json GET /merchant-kyc/{id}/
openapi: 3.1.0
info:
  title: SasPay API
  description: >-
    API d'encaissement et de paiement mobile money/carte pour l'Afrique de
    l'Ouest et du Centre. Toutes les routes marchand nécessitent une clé API
    secrète (header Authorization: Bearer sk_...).
  version: 1.0.0
servers:
  - url: https://api.saspay.me/api/v1
security:
  - bearerAuth: []
paths:
  /merchant-kyc/{id}/:
    get:
      tags:
        - KYC
      summary: Détail d'un dossier KYC
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Identifiant du dossier KYC
      responses:
        '200':
          description: Dossier KYC, avec ses documents attachés
          content:
            application/json:
              example:
                id: 5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f
                merchant: 8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f
                kyc_type: BUSINESS
                first_name: Awa
                last_name: Touré
                date_of_birth: '1990-04-12'
                id_document_type: ID_CARD
                company_name: Kolofa SARL
                rccm_number: BJ-COT-2023-B-1234
                ifu_number: '3202312345678'
                status: APPROVED
                reviewed_by_admin: b2c3d4e5-6f70-4a8b-9c0d-1e2f3a4b5c6d
                review_note: Dossier conforme.
                reviewed_at: '2026-08-11T15:30:00Z'
                documents:
                  - id: 1a2b3c4d-5e6f-4708-9a0b-1c2d3e4f5a6b
                    merchant_kyc: 5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f
                    document_type: ID_CARD
                    label: Recto CNI
                    file_url: >-
                      https://cdn.saspay.me/kyc/8f2c1e9a-6b4d-4a3f-9c1e-2b3d4e5f6a7b.jpg
                    created_at: '2026-08-10T09:05:00Z'
                  - id: 2b3c4d5e-6f70-4819-8a0b-2c3d4e5f6a7b
                    merchant_kyc: 5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f
                    document_type: BUSINESS_REGISTRATION
                    label: ''
                    file_url: >-
                      https://cdn.saspay.me/kyc/b7a6f5e4d3b2-e1c9-f3a4-d4b6-a9e1c2f8.pdf
                    created_at: '2026-08-10T09:07:00Z'
                created_at: '2026-08-10T09:00:00Z'
                updated_at: '2026-08-11T15:30:00Z'
        '404':
          description: Dossier introuvable, ou n'appartenant pas à votre marchand
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_live_... / sk_test_...
      description: >-
        Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx
        (ou sk_test_xxx en environnement de test).

````